Class | Shef::ShefSession
In: | lib/chef/shef/shef_session.rb
Parent: | Object

### Methods

cookbook_loader definitions new node_attributes= node_built? rebuild_context reset! resource_collection run_context save_node session_type

### Included Modules

Singleton

### Attributes

client | [R] |
compile | [RW] |
node | [RW] |
node_attributes | [R] |
recipe | [RW] |
run_context | [RW] |

### Public Class methods

new()
session_type(type=nil)

### Public Instance methods

cookbook_loader()
definitions()
node_attributes=(attrs)
node_built?()
rebuild_context()
reset!()
resource_collection()
run_context()
save_node()

[Validate]